package com.yijia.station.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油品调价信息对象 station_oil_price_adjust
 * 
 * @author yijia
 * @date 2020-12-09
 */
public class StationOilPriceAdjust extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 调价自增主键id */
    private Long adjustPriceId;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油品调整价格 */
    @Excel(name = "油品调整价格")
    private String oilAdjustPrice;

    /** 生效状态（1，立即生效，2指定时间生效） */
    @Excel(name = "生效状态", readConverterExp = "1=，立即生效，2指定时间生效")
    private String takeEffectStatus;

    /** 生效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date takeEffectDate;

    /** 调价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调价时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date adjustDate;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 操作员 */
    @Excel(name = "操作员")
    private String operator;

    public void setAdjustPriceId(Long adjustPriceId) 
    {
        this.adjustPriceId = adjustPriceId;
    }

    public Long getAdjustPriceId() 
    {
        return adjustPriceId;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setOilAdjustPrice(String oilAdjustPrice) 
    {
        this.oilAdjustPrice = oilAdjustPrice;
    }

    public String getOilAdjustPrice() 
    {
        return oilAdjustPrice;
    }
    public void setTakeEffectStatus(String takeEffectStatus) 
    {
        this.takeEffectStatus = takeEffectStatus;
    }

    public String getTakeEffectStatus() 
    {
        return takeEffectStatus;
    }
    public void setTakeEffectDate(Date takeEffectDate) 
    {
        this.takeEffectDate = takeEffectDate;
    }

    public Date getTakeEffectDate() 
    {
        return takeEffectDate;
    }
    public void setAdjustDate(Date adjustDate) 
    {
        this.adjustDate = adjustDate;
    }

    public Date getAdjustDate() 
    {
        return adjustDate;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setOperator(String operator) 
    {
        this.operator = operator;
    }

    public String getOperator() 
    {
        return operator;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("adjustPriceId", getAdjustPriceId())
            .append("oilName", getOilName())
            .append("oilAdjustPrice", getOilAdjustPrice())
            .append("takeEffectStatus", getTakeEffectStatus())
            .append("takeEffectDate", getTakeEffectDate())
            .append("adjustDate", getAdjustDate())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("operator", getOperator())
            .toString();
    }
}
